Subject: RE:[MAGMA]About the reserved address handling in IGMP

From: "Kimball, Karen E" <[email-masked]>
Date: Fri, 26 Jan 2007 11:30:19 -0600

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Thursday, January 25, 2007 1:00 AM
> To: [email-masked]
> 
> Message: 5
> Date: Wed, 10 Jan 2007 20:42:31 +0800 (CST)
> From: [email-masked]
> Subject: [MAGMA]About the reserved address handlin g in IGMP snooping.
>  
> Hi, all
>  
> In RFC 4541 (IGMP and MLD Snooping Switches Considerations) 
> Section 2.1.2,it states:
>  
> "Packets with a destination IP (DIP) address in the 224.0.0.X 
> range which are not IGMP must be forwarded on all ports."
> It's quite right,since many protocols (such as OSPF,VRRP 
> etc.) will use these addresses without sending any IGMP Joins.
>  
> But what about the addresses beyond this range,224.0.0.x? 
> Should packets with other addresses as DIP be discarded?
>  
> Accroding to IANA multicast assignment, there are many other 
> protocols which doesn't use the addresses in the 224.0.0.x 
> range ,for example: 224.0.1.1  (used by Network Time 
> Protocol,NTP). should these protocol traffic be discarded by 
> a switch implementing IGMP snooping? 
>  
> Thank you!
> 
>  
> Klein

Hello, Klein,

John Zwiebel's reply is correct.

IGMP does not "discard" any messages (i.e., drop them), regardless of
address type.

However, whether it chooses to FILTER multicast addresses depends upon
whether the addresses are in that reserved multicast range of 224.0.0.x.
Addresses in that range are never filtered.

So for your example, 224.0.1.1  (used by Network Time Protocol,NTP)
WOULD be filtered by IGMP if the group is not joined by anyone.

This filtering applies only to "host" ports/interfaces, however. These
packets would still be forwarded out any interface/port that has a
multicast router connected along that network path. 

Best regards,

Karen Kimball
HP ProCurve Networking Business
Hewlett-Packard Company

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma